import { axios } from '@/utils/request'

export function fetchList (query) {
  return axios({
    url: '/admin/author/page',
    method: 'get',
    params: query
  })
}

export function fetchFeedList (query) {
  return axios({
    url: '/admin/author-video/page',
    method: 'get',
    params: query
  })
}

export function saveAuthor (data) {
  return axios({
    url: '/admin/author/save',
    method: 'post',
    data
  })
}

export function fetchAuthor (id) {
  return axios({
    url: `/admin/author/${id}`,
    method: 'get'
  })
}

export function deleteAuthor (id) {
  return axios({
    url: `/admin/author/${id}`,
    method: 'delete'
  })
}


export function deleteAuthorVideo (id) {
  return axios({
    url: `/admin/author/${id}`,
    method: 'delete'
  })
}


